### Enumeration

# Qmi LocServerAddressType

since: 1.22

#### Declaration

    flags Qmi.LocServerAddressType

#### Description [src]

Type of server address for Assisted-GPS.

Available since: 1.22

#### Members

`QMI_LOC_SERVER_ADDRESS_TYPE_NONE`

  None.

  - Value: `0`
  - Available since: 1.22
`QMI_LOC_SERVER_ADDRESS_TYPE_IPV4`

  IPv4 server address.

  - Value: `1`
  - Available since: 1.22
`QMI_LOC_SERVER_ADDRESS_TYPE_IPV6`

  IPv6 server address.

  - Value: `2`
  - Available since: 1.22
`QMI_LOC_SERVER_ADDRESS_TYPE_URL`

  URL server address.

  - Value: `4`
  - Available since: 1.22

#### Type functions

###### qmi_loc_server_address_type_build_string_from_mask

Builds a string containing a comma-separated list of nicknames for each `QmiLocServerAddressType` in `mask`.

since: 1.22